import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { EditorConfig } from 'vcomply-editor';
import { ResultCriteriaService } from '../../services/result-criteria.service';
import * as i0 from "@angular/core";
export declare class SettingResponseSegmentComponent implements OnInit {
    private el;
    private criteriaService;
    description: EditorConfig;
    hideSegmentPopup: boolean;
    editSegmentPopup: boolean;
    editSegment(): void;
    closeSegmentPopup(): void;
    openSegmentPopup(): void;
    setting: any;
    localSetting: any;
    set settingData(value: any);
    save: EventEmitter<any>;
    constructor(el: ElementRef, criteriaService: ResultCriteriaService);
    showResultPopup: boolean;
    showResultEditPopup: boolean;
    popoverLeft: any;
    popoverTop: any;
    mode: any;
    editIndex: number;
    selectedSegment: any;
    button: any;
    buttonEdit: any;
    closed: EventEmitter<any>;
    cancelEvt: EventEmitter<any>;
    formJSON: string;
    fd: any;
    resultCriteria: never[];
    entityJSON: any;
    maxRange: number;
    errorArray: any;
    ngOnInit(): void;
    addNewSegment(): void;
    closePopUp(): void;
    closeSegment(): void;
    clickResultPopup(): void;
    editResultPopup(event: any, segment: any, i: any): void;
    saveCriteria(evt: any): void;
    deleteSegment(index: any): void;
    saveSetting(): any;
    discardEdit(index: any): void;
    closeSegmentResult(): void;
    cancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SettingResponseSegmentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SettingResponseSegmentComponent, "app-setting-response-segment", never, { "settingData": { "alias": "setting"; "required": false; }; "formJSON": { "alias": "formJSON"; "required": false; }; "fd": { "alias": "fd"; "required": false; }; }, { "save": "save"; "closed": "closed"; "cancelEvt": "cancelEvt"; }, never, never, false, never>;
}
